MyGUI::UString::_const_fwd_iterator Class Reference

const forward iterator for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_const_fwd_iterator:
[legend]

## Public Member Functions

| _const_fwd_iterator ()
| _const_fwd_iterator (const _fwd_iterator &i)
_const_fwd_iterator & | operator++ ()
| pre-increment
_const_fwd_iterator | operator++ (int)
| post-increment
_const_fwd_iterator & | operator-- ()
| pre-decrement
_const_fwd_iterator | operator-- (int)
| post-decrement
_const_fwd_iterator | operator+ (difference_type n)
| addition operator
_const_fwd_iterator | operator- (difference_type n)
| subtraction operator
_const_fwd_iterator & | operator+= (difference_type n)
| addition assignment operator
_const_fwd_iterator & | operator-= (difference_type n)
| subtraction assignment operator
const value_type & | operator* () const
| dereference operator
const value_type & | operator[] (difference_type n) const
| dereference at offset operator
_const_fwd_iterator & | moveNext ()
| advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream
_const_fwd_iterator & | movePrev ()
| rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream
unicode_char | getCharacter () const
| Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed).

## Friends

size_type | operator- (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| difference operator
bool | operator== (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| equality operator
bool | operator!= (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| inequality operator
bool | operator< (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| less than
bool | operator<= (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| less than or equal
bool | operator> (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| greater than
bool | operator>= (const _const_fwd_iterator &left, const _const_fwd_iterator &right)
| greater than or equal

## Additional Inherited Members

Protected Types inherited from MyGUI::UString::_base_iterator
using | difference_type = ptrdiff_t
Protected Member Functions inherited from MyGUI::UString::_base_iterator
void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()
Protected Attributes inherited from MyGUI::UString::_base_iterator
dstring::iterator | mIter
UString * | mString {nullptr}

## Detailed Description

const forward iterator for UString

Definition at line 266 of file MyGUI_UString.h.

## Constructor & Destructor Documentation

## _const_fwd_iterator() [1/2]

MyGUI::UString::_const_fwd_iterator::_const_fwd_iterator | ( |  | ) |

default

## _const_fwd_iterator() [2/2]

MyGUI::UString::_const_fwd_iterator::_const_fwd_iterator | ( | const _fwd_iterator & | i | ) |

Definition at line 207 of file MyGUI_UString.cpp.

## Member Function Documentation

## getCharacter()

UString::unicode_char MyGUI::UString::_const_fwd_iterator::getCharacter | ( |  | ) | const

Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed).

Definition at line 300 of file MyGUI_UString.cpp.

## moveNext()

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::moveNext | ( |  | ) |

advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 288 of file MyGUI_UString.cpp.

## movePrev()

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::movePrev | ( |  | ) |

rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 294 of file MyGUI_UString.cpp.

## operator*()

const UString::value_type & MyGUI::UString::_const_fwd_iterator::operator* | ( |  | ) | const

dereference operator

Definition at line 276 of file MyGUI_UString.cpp.

## operator+()

UString::_const_fwd_iterator MyGUI::UString::_const_fwd_iterator::operator+ | ( | difference_type | n | ) |

addition operator

Definition at line 238 of file MyGUI_UString.cpp.

## operator++() [1/2]

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::operator++ | ( |  | ) |

pre-increment

Definition at line 212 of file MyGUI_UString.cpp.

## operator++() [2/2]

UString::_const_fwd_iterator MyGUI::UString::_const_fwd_iterator::operator++ | ( | int |  | ) |

post-increment

Definition at line 218 of file MyGUI_UString.cpp.

## operator+=()

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::operator+= | ( | difference_type | n | ) |

addition assignment operator

Definition at line 258 of file MyGUI_UString.cpp.

## operator-()

UString::_const_fwd_iterator MyGUI::UString::_const_fwd_iterator::operator- | ( | difference_type | n | ) |

subtraction operator

Definition at line 248 of file MyGUI_UString.cpp.

## operator--() [1/2]

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::operator-- | ( |  | ) |

pre-decrement

Definition at line 225 of file MyGUI_UString.cpp.

## operator--() [2/2]

UString::_const_fwd_iterator MyGUI::UString::_const_fwd_iterator::operator-- | ( | int |  | ) |

post-decrement

Definition at line 231 of file MyGUI_UString.cpp.

## operator-=()

UString::_const_fwd_iterator & MyGUI::UString::_const_fwd_iterator::operator-= | ( | difference_type | n | ) |

subtraction assignment operator

Definition at line 267 of file MyGUI_UString.cpp.

## operator[]()

const UString::value_type & MyGUI::UString::_const_fwd_iterator::operator[] | ( | difference_type | n | ) | const

dereference at offset operator

Definition at line 281 of file MyGUI_UString.cpp.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

inequality operator

Definition at line 1063 of file MyGUI_UString.h.

## operator-

size_type operator- | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

difference operator

Definition at line 1053 of file MyGUI_UString.h.

## operator<

bool operator< | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

less than

Definition at line 1067 of file MyGUI_UString.h.

## operator<=

bool operator<= | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

less than or equal

Definition at line 1071 of file MyGUI_UString.h.

## operator==

bool operator== | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

equality operator

Definition at line 1059 of file MyGUI_UString.h.

## operator>

bool operator> | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

greater than

Definition at line 1075 of file MyGUI_UString.h.

## operator>=

bool operator>= | ( | const _const_fwd_iterator & | left,
|  | const _const_fwd_iterator & | right )

friend

greater than or equal

Definition at line 1079 of file MyGUI_UString.h.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp